Subject: [Geopriv] [geopriv] rfc3825bis #47 (new): IETF Last Call Comments from Mykyta Yevstifeyev ([email-masked])

From: "geopriv issue tracker" <[email-masked]>
Date: Mon, 07 Feb 2011 13:49:46 -0000

#47: IETF Last Call Comments from Mykyta Yevstifeyev ([email-masked])

 I might want to comment the Section 4 of this document.

 Firstly, none of the three registries are properly specified, per RFC
 5226.  Among other, there is no clear format of the registries.
 Therefore I propose the following changes.

 > 4. IANA Considerations
 >
 > 4.1. 'Altitude Types' Registry
 >
 > IANA is asked to create and maintain the registry called 'Altitude
 > Types' following the guidelines below.
 >
 > The registry consists of 3 values: Altitude Type, Description and
 > Reference.  They are described below.
 >
 >   Altitude Type - an integer; refers to the value used in DHCP options
 > described in this document.  Values from 0 to 15 are assigned.
 >
 >   Description - the description of the altitude described by this code.
 >
 >   Reference - the reference to the document that describes the
 > altitude code.  Such MUST define the way that the 30 bit altitude
 > values and the associated 6 bit uncertainty are interpreted.
 >
 > Initial values are given below; new assignments are to be made
 > following the 'Standards Action' policies [RFC5226]
 >
 >   #         Description                 Reference
 > +-------+---------------------------+------------+
 > | 0     | No known altitude         | RFC xxxx   |
 > | 1     | Altitude in meters        | RFC xxxx   |
 > | 2     | Altitude in floors        | RFC xxxx   |
 > | 3-14  | Unassigned                | RFC xxxx   |
 > | 15    | Reserved                  | RFC xxxx   |
 > +-------+---------------------------+------------+
 > [RFC Editor: Please replace xxxx with RFC number assigned to this
 > document.

 and etc. for each registry and the request to assign the DHCP code number.

 Moreover, IMO RFC 5226 should be referenced normatively as it describes
 procedures for assignment of new values to the registry.  Informative is
 not appropriate here.  I'd also like to ask whether the following
 reference is acceptable for normative:

 > [EPSG]       European Petroleum Survey Group, http://www.epsg.org/ and
 >              http://www.epsg-registry.org/

 Normative references are allowed to documents only, but not websites.

 Thank you in advance for considering my comments in the next version of
 the draft.

 Mykyta Yevstifeyev

-- 
---------------------------------------+------------------------------------
 Reporter:  bernard_aboba@…            |       Owner:  bernard_aboba@…           
     Type:  defect                     |      Status:  new                       
 Priority:  minor                      |   Milestone:  draft-ietf-geopriv-3825bis
Component:  rfc3825bis                 |     Version:  1.0                       
 Severity:  Submitted WG Document      |    Keywords:                            
---------------------------------------+------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/geopriv/trac/ticket/47>
geopriv <http://tools.ietf.org/geopriv/>